Skip to main content

Get an analysis of the logs belonging to a Service

GET/v2/stacks/{stackId}/services/{serviceId}/log-analysis
API version
v2
Request method
GET
Operation ID
container-get-service-logs-analysis

Request​

  • stackIdstring (uuid)required

    ID of the Stack the Service belongs to.

  • serviceIdstringrequired

    ID of the Service to analyze the logs of.

Responses​

Format
application/json
Description

OK

  • recommendationstring
  • summarystringrequired
Content-Type: application/json

{
"recommendation": "Increase the memory limit of the service or reduce the memory consumption of the application.",
"summary": "The container exited with code 137 because it exceeded its memory limit."
}
{
"properties": {
"recommendation": {
"example": "Increase the memory limit of the service or reduce the memory consumption of the application.",
"type": "string"
},
"summary": {
"example": "The container exited with code 137 because it exceeded its memory limit.",
"type": "string"
}
},
"required": [
"summary"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/stacks/f0f86186-0a5a-45b2-aa33-502777496347/services/string/log-analysis
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.getServiceLogsAnalysis({
"stackId": "f0f86186-0a5a-45b2-aa33-502777496347",
"serviceId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Container\GetServiceLogsAnalysis\GetServiceLogsAnalysisRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetServiceLogsAnalysisRequest(
stackId: "f0f86186-0a5a-45b2-aa33-502777496347",
serviceId: "string"
));
$response = $client->container()->getServiceLogsAnalysis($request);

var_dump($response->getBody();

On this page